<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://res.wx.qq.com/open/js/jweixin-1.6.0.js"></script>
    <script src="https://cdn.bootcdn.net/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>

<script>
    (function() {
        wxConfig();
    })();
    wx.ready(function() {
        alert('wx.ready!');
    });
    function wxConfig() {
        $.ajax({
            url: 'https://davis.china315net.com/wx/ajax/js/sign/3/',
            method: 'GET',
            data: {url: window.location.href},
            success: function(res) {
                wx.config({
                    debug: true,
                    appId: res.appid,
                    timestamp: res.timestamp,
                    nonceStr: res.noncestr,
                    signature: res.signature,
                    jsApiList: ['scanQRCode']
                })

            }
        })
    }
</script>
</body>
</html>
